-- load lbb
local bosstable = LibStub("LibBabble-Boss-3.0"):GetLookupTable()
--ahune
local loadSuccess, errorMsg = StatusSubscribe:RegisterEncounter("ahune",
	bosstable["Ahune"],
	{
		healthtrack={[25740]=true,[25755]=false,[25865]=true},
		manatrack={},
		phases={["Adds"]="Emerge", ["DPS"] ="Submerge"},
	},
	{
		events={"COMBAT_LOG_EVENT_UNFILTERED"},
		filter=function(event,...)
			local sid = tonumber((select(3,...)):sub(9,12),16)
			local did = tonumber((select(6,...)):sub(9,12),16)
			if sid == 25740 or did == 25740 then
				return true
			end
		end,
	},
	{
		["ENCOUNTER_ENGAGE"] = function() EnterPhase("Adds") end,
		["ALL_OUT_OF_COMBAT"] = function() DisableEncounter() end,
		["COMBAT_LOG_EVENT_UNFILTERED"] = function(...)
			local sid = tonumber((select(3,...)):sub(9,12),16)
			local did = tonumber((select(6,...)):sub(9,12),16)
			if IsInPhase("Adds") and (sid == 25865 or did == 25865) then
				EnterPhase("DPS")
			end
			if IsInPhase("DPS") and (sid == 25740 or did == 25740) then
				EnterPhase("Adds")
			end
		end,
	}
)

if not loadSuccess then
	print("Load of "..bosstable["Ahune"].." failed: "..StatusSubscribe.locale[errorMsg])
end