-- load lbb
local bosstable = LibStub("LibBabble-Boss-3.0"):GetLookupTable()
-- ony
local loadSuccess, errorMsg = StatusSubscribe:RegisterEncounter("onyxia",
	bosstable["Onyxia"],
	{
		healthtrack={[10184]=true,[36561]=false},
		manatrack={},
		phases={["1"]="Ground", ["2"]="Air",["3"]="Ground"},
	},
	{
		events={"COMBAT_LOG_EVENT_UNFILTERED"},
		filter=function(event,...)
			local sid = tonumber((select(3,...)):sub(9,12),16)
			local did = tonumber((select(6,...)):sub(9,12),16)
			if sid == 10184 or did == 10184 then
				return true
			end
		end,
	},
	{
		["ENCOUNTER_ENGAGE"] = function() EnterPhase("1") end,
		["ALL_OUT_OF_COMBAT"] = function() DisableEncounter() end,
		["COMBAT_LOG_EVENT_UNFILTERED"] = function(...)
			if (select(10,...)) == (GetSpellInfo(68926)) and tonumber((select(3,...)):sub(9,12),16) == 10184 then
				EnterPhase("2")
			end
			if (select(2,...)) == "SWING_DAMAGE" and IsInPhase("2") then
				EnterPhase("3")
			end
		end,
	}
)

if not loadSuccess then
	print("Load of "..bosstable["Onyxia"].." failed: "..StatusSubscribe.locale[errorMsg])
end